## portmidi 2.0.4

=== debian/changelog ===
portmidi (2:2.0.4-2) unstable; urgency=medium

  * Team upload.
  * The GCC-15 is now RC-Buggy, release to sid.
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 10:35:54 +0200

portmidi (2:2.0.4-1) experimental; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1041522, #1097640
    (epoch needs to be bumped since upstream had changed version scheme)
  * Project moved to Github - adapt Homepage + watch file
  * Remove redundant debian/README.source
  * debhelper-compat 13
  * Install cmake and pkgconf info into -dev package
    Closes: #881356
  * Reflect change of soname in binary package name
  * d/copyright: DEP5 + review
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Remove patch 01_pmlinux.diff that is missing from debian/patches/series.
  * Rely on pre-initialized dpkg-architecture variables.
  * Remove field Section on binary package libportmidi2 that duplicates source.
  * Add upstream metadata
  * Distinct synopsis for devel package
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jul 2025 19:51:47 +0200

portmidi (1:217-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:55 +0200

portmidi (1:217-6) unstable; urgency=medium

  * debian/*.{links,dirs} removed old symlinks (closes: #848618)

 -- Paul Brossier <piem@debian.org>  Mon, 19 Dec 2016 10:41:04 +0100

portmidi (1:217-5) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_* pass cross tools (closes: #845814), thanks to
    Helmut Grohne
  * debian/rules: simplify, build for multiarch, use dh_auto_*
  * debian/control: make libportmidi0 multiarch, bump debhelper to 10.2.1
  * debian/patches/00_cmake.diff: use CMAKE_INSTALL_LIBDIR
  * debian/patches/13-disablejni.patch: use CMAKE_INSTALL_LIBDIR
  * debian/patches/00_cmake.diff: include(GNUInstallDirs) for multiarch
  * debian/patches/30-porttime_cmake.diff: use CMAKE_INSTALL_LIBDIR
  * debian/*.install: use multiarch

 -- Paul Brossier <piem@debian.org>  Mon, 28 Nov 2016 11:31:33 +0100

portmidi (1:217-4) unstable; urgency=medium

  * debian/control: switch Architecture to linux-any (closes: #654187)
  * debian/rules: clean up, append CPPFLAGS to CXXFLAGS
  * debian/patches/03_pm_test_Makefile.diff: added mm, also clean *.o
  * debian/patches/50-change_assert.diff: change assert to if() return;
  * debian/patches/51-remove_assert.diff: change assert to if() return;
  * Upload to unstable (closes: #739567, #699162)

 -- Paul Brossier <piem@debian.org>  Mon, 14 Nov 2016 18:02:24 +0100

portmidi (1:217-3) experimental; urgency=medium

  * debian/libportmidi-dev.examples: use moved Makefile
  * debian/patches/03_pm_test_Makefile.diff: prevent cmake overwriting this file
  * debian/patches/20-movetest.diff: compile with hardening
  * debian/patches/21-hardentests.diff: compile tests with hardening
  * debian/rules: fix typo, remove old cruft

 -- Paul Brossier <piem@debian.org>  Mon, 14 Nov 2016 11:50:33 +0100

portmidi (1:217-2) experimental; urgency=medium

  * Merge in portmidi_1:200-1ubuntu3
  * debian/rules: use cmake, dpkg-buildflags, and debhelper 8
  * debian/patches/00_cmake.diff: add SONAME, fix install location
  * debian/patches/02_pmlinuxalsa.diff: merge with upstream
  * debian/patches/03_pm_test_Makefile.diff: new file
  * debian/patches/11-pmlinuxalsa.diff: merge eol chars with upstream
  * debian/patches/13-disablejni.diff: disable java for now
  * debian/patches/20-movetes.diff: rename pm_test/test.c to simple_test.c
  * debian/patches/30-porttime_cmake.diff: add porttime/CMakeLists.txt
  * debian/patches/40-test_sysex.diff: minor fixes to avoid warnings
  * debian/patches/41-pm_linux.diff: minor fixes to avoid warnings
  * debian/patches/05_makefile.diff: lp:1110326, not merged, using cmake
  * debian/patches/12-disable_pmcheckerrors.patch: #765375, dropped for cmake
  * debian/rules: compile in Release mode (closes lp:1097286)
  * debian/source/format: added 3.0 (quilt)
  * Upload to experimental.

 -- Paul Brossier <piem@debian.org>  Sun, 06 Nov 2016 21:13:50 +0100

portmidi (1:217-1) experimental; urgency=medium

  * New upstream version 217.
  * Upload to experimental.

 -- Paul Brossier <piem@debian.org>  Sun, 06 Nov 2016 16:33:35 +0100

portmidi (1:184-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable PM_CHECK_ERRORS PortMidi as it is a debugging option which
    unconditionally calls exit(-1) on any error. It should rather delegate
    the responsibility of error handling to the client application.
    Thanks to RJ Ryan for pointing this out. (Closes: #765375)

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Oct 2014 16:12:56 +0100

portmidi (1:184-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/11-pmlinuxalsa.patch:
    - Avoid SIGSEGV when it receives data for devices which
      might have already been closed. (Closes: #695842)
    - Fix some other pointer issues:
      + alsa_in_close() didn't clear midi-descriptor.
      + Some other uses of midi->descriptor didn't do NULL-check of
        the pointer.

 -- Alessio Treglia <alessio@debian.org>  Thu, 13 Dec 2012 14:22:08 +0000

portmidi (1:184-2) unstable; urgency=low

  * Add -lpthread to ALSALIB (closes: #556070)

 -- Paul Brossier <piem@debian.org>  Fri, 13 Nov 2009 15:26:46 +0100

portmidi (1:184-1) unstable; urgency=low

  * New upstream release.
  * Update patches where merged with upstream, disable pmdefautls for now

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 13:41:33 +0100

portmidi (1:131-1) unstable; urgency=low

  * New upstream version, uses epoch (closes: #501132)

