=== debian/control ===
Source: portmidi
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libasound2-dev
Standards-Version: 4.7.2
Homepage: https://github.com/PortMidi/portmidi
Section: libs
Vcs-Git: https://salsa.debian.org/debian/portmidi.git
Vcs-Browser: https://salsa.debian.org/debian/portmidi

Package: libportmidi-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libportmidi2 (= ${binary:Version}), ${misc:Depends}
Description: library for real-time MIDI input/output (devel)
 PortMidi is a platform independent library for MIDI input/output.
 This package provides the header files for PortMidi and PortTime.

Package: libportmidi2
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for real-time MIDI input/output
 PortMidi is a platform independent library for MIDI input/output.
 This package provide the PortMidi and PortTime libraries.
