## portmidi 2.0.6

=== debian/changelog ===
portmidi (2:2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
    + Refresh patches
    + Drop obsolete patch
  * Salvage package on behalf of the multimedia-team (Closes: #1114990)
  * Update copyright information
    + Update d/copyright
    + Add myself to copyright holders
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Modernize d/watch to version 5
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Oct 2025 15:23:42 +0200
