=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,18 @@
 
 override_dh_compress:
 	dh_compress -X.c -X.h -XMakefile
+
+
+
+################ d/copyright helper ##############
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|pm_java/pmdefaults/pmdefaults-icon\.gif
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
