## portmidi 2.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Versions are now in the form x.y.z
 # Changed 1.0 to 2.0 because API is extended with virtual ports:
 set(SOVERSION "2")
-set(VERSION "2.0.4")
+set(VERSION "2.0.7")
 
 project(portmidi VERSION "${VERSION}"
                  DESCRIPTION "Cross-Platform MIDI IO")
@@ -78,7 +78,7 @@
 # and PMWINMM (for windows), but these are assumed.
 #
 if(APPLE OR WIN32)
-else(APPLE_OR_WIN32)
+else(APPLE OR WIN32)
   set(LINUX_DEFINES "PMALSA" CACHE STRING "must define either PMALSA or PMNULL")
   add_compile_definitions(${LINUX_DEFINES})
 endif(APPLE OR WIN32)
@@ -194,7 +194,7 @@
 # following report is probably not complete...
 MESSAGE(STATUS "PortMidi Library name: " ${PM_ACTUAL_LIB_NAME})
 MESSAGE(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
-MESSAGE(STATUS "Library Type: " ${LIB_TYPE})
+MESSAGE(STATUS "Build shared library: " ${BUILD_SHARED_LIBS})
 MESSAGE(STATUS "Compiler flags: " ${CMAKE_CXX_COMPILE_FLAGS})
 get_directory_property(prop COMPILE_DEFINITIONS)
 MESSAGE(STATUS "Compile definitions: " ${prop})
