=== pm_common/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 set(PM_STATIC_LIB_NAME "portmidi" CACHE STRING 
     "For static builds, the PortMidi library name, e.g. portmidi-static.
      Default is portmidi")
-set(PM_ACTUAL_LIB_NAME "portmidi")
+set(PM_ACTUAL_LIB_NAME "portmidi" PARENT_SCOPE)
 if(NOT BUILD_SHARED_LIBS)
-  set(PM_ACTUAL_LIB_NAME ${PM_STATIC_LIB_NAME})
+  set(PM_ACTUAL_LIB_NAME ${PM_STATIC_LIB_NAME} PARENT_SCOPE)
 endif()
 
 # set the build directory for libportmidi.a to be in portmidi, not in 
@@ -105,14 +105,14 @@
       ${CMAKE_THREAD_LIBS_INIT}
       -Wl,-framework,CoreAudio
       -Wl,-framework,CoreFoundation
-      -Wl,-framework,CoreMidi
+      -Wl,-framework,CoreMIDI
       -Wl,-framework,CoreServices
       PARENT_SCOPE)
   target_link_libraries(portmidi PRIVATE
       Threads::Threads
       -Wl,-framework,CoreAudio
       -Wl,-framework,CoreFoundation
-      -Wl,-framework,CoreMidi
+      -Wl,-framework,CoreMIDI
       -Wl,-framework,CoreServices
   )
   # set to CMake default; is this right?:
