=== debian/changelog ===
portmidi (2:2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
    + Refresh patches
  * Add explicit salsa-ci configuration
  * Fix Vcs-* stanzas

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Nov 2025 13:17:19 +0100
