=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Standards-Version: 4.7.2
 Homepage: https://github.com/PortMidi/portmidi
 Section: libs
-Vcs-Git: https://salsa.debian.org/debian/portmidi.git
-Vcs-Browser: https://salsa.debian.org/debian/portmidi
+Vcs-Git: https://salsa.debian.org/multimedia-team/portmidi.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/portmidi
 
 Package: libportmidi-dev
 Section: libdevel
