## portmidi 2.0.8

=== debian/changelog ===
portmidi (2:2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8
    + Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:15:40 +0100
