## portmidi 184-2maemo1

=== debian/changelog ===
portmidi (1:184-2maemo1) unstable; urgency=low

  * Imported version from Ubuntu Lucid.

 -- Willer Moreira <willer.moreira@openbossa.org>  Wed, 28 Jul 2010 17:47:00 -0400
