=== debian/control ===
Source: portmidi
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 5.0.0), libasound2-dev, quilt
Standards-Version: 3.8.3
Homepage: http://portmedia.sourceforge.net/
Section: libs

Package: libportmidi-dev
Section: libdevel
Architecture: any
Depends: libportmidi0 (= ${binary:Version})
Description: library for real-time MIDI input/output
 PortMidi is a platform independent library for MIDI input/output.
 This package provides the header files for PortMidi and PortTime.

Package: libportmidi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for real-time MIDI input/output
 PortMidi is a platform independent library for MIDI input/output.
 This package provide the PortMidi and PortTime libraries.
