=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g -fPIC

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=`ls pm_linux/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls pm_linux/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# nothing to do by default
	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp 
	dh_testdir
	CFLAGS='$(CFLAGS)' $(MAKE) -f pm_linux/Makefile
	touch build-stamp

clean: clean1st unpatch
clean1st:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f pm_linux/Makefile ] || $(MAKE) -f pm_linux/Makefile cleanest
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# do not ship executables c files
	chmod a-x $(CURDIR)/pm_test/*.c $(CURDIR)/pm_common/*.h
	$(MAKE) -f pm_linux/Makefile install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --sourcedir=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.c -X.h
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
